# docker-compose -f docker-compose-apigee.yaml pull && docker-compose -f docker-compose-apigee.yaml up -d
# installing docker-compose sudo curl -L "https://github.com/docker/compose/releases/download/1.28.6/docker-compose-$(uname -s)-$(uname -m)" -o /usr/bin/docker-compose
#
version: "3.3"

volumes:
  appsentinels_onprem_config: {}

services:
  appsentinels-controller:
    container_name: appsentinels-controller
    restart: on-failure:5
    image: appsentinels/ng-controller:latest
    hostname: controller-apigee
    environment:
      - APPLICATION_DOMAIN=<domain>
      - SAAS_API_KEY_VALUE=<api-key>
      - SAAS_SERVER_NAME=in-cloud.appsentinels.ai
      - EXT_AUTHZ_NGINX_HTTP_SERVICE_URI=/requestlog
      - EXT_ACL_NGINX_HTTP_SERVICE_URI=/responselog      
      # Enable below for TLS logging
      #- TLS_ENABLED_FOR_PLUGINS=true
    ports:
      - "9006:9006"
      - "9007:9007"
      - "127.0.0.1:9101:9101"      
    logging:
      driver: local
      options:
        max-size: 10m
    volumes:
      - appsentinels_onprem_config:/usr/local/appsentinels-onprem/config
      # Enable below for TLS logging
      #- ./server_public.pem:/certs/server.crt
      #- ./server_private.pem:/certs/server.key        
